Find the answer to your Linux question:
Results 1 to 2 of 2
I am trying to install cheops in fedora core 1. I have done this several times in Red Hat 9 and before with no errors, however, the following occurs when ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Mar 2004
    Location
    Lincolnshire
    Posts
    2

    Cheops installation problem on fedora core 1


    I am trying to install cheops in fedora core 1. I have done this several times in Red Hat 9 and before with no errors, however, the following occurs when I go to make the file? Any suggestions.

    I believe I have installed all relevant packages and dependancies. I used a tarball as my source file. The rpm I have tried but I receive segmentation fault errors when I try to use the program.

    TIA

    root@T1-L2 cheops-ng-0.1.12]# make
    make -C ./adns-1.0/src/
    make[1]: Entering directory `/tools/cheops-ng-0.1.12/adns-1.0/src'
    make[1]: Nothing to be done for `all'.
    make[1]: Leaving directory `/tools/cheops-ng-0.1.12/adns-1.0/src'
    gcc -o cheops-ng logger.o misc.o cerror.o cache.o script.o cheops-gui.o gui-handlers.o gui-viewspace.o gui-settings.o gui-canvas.o gui-utils.o gui-config.o ip_utils.o cheops-osscan.o gui-dns.o gui-service.o gui-pixmap.o gui-monitoring.o cheops-monitoring.o gui-io.o gui-sched.o gui-event.o gui-help.o gpl.c `gnome-config --libs gnome gnomeui glib` -lnsl -lpthread -lncurses -lpthread -lssl -lcrypto -lSM -lICE -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -rdynamic -L/usr/lib -L/usr/X11R6/lib -rdynamic -lgnomeui -lart_lgpl -lgdk_imlib -lSM -lICE -lgtk -lgdk -lgmodule -ldl -lXi -lXext -lX11 -lgnome -lgnomesupport -lesd -laudiofile -lm -lglib -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -L/usr/lib -lglib -L/usr/lib -lImlib -ljpeg -ltiff -lungif -lpng -lz -lm -lXext -L/usr/X11R6/lib -lSM -lICE -lXext -lX11 -L/usr/lib -lxml -lz -lcrypt ./adns-1.0/src/libadns.a
    gpl.c:1:18: missing terminating " character
    gpl.c:2: error: syntax error before "Cheops"
    gpl.c:3:20: missing terminating ' character
    gpl.c:3:20: warning: character constant too long for its type
    gpl.c:4: error: stray '' in program
    gpl.c:4:60: missing terminating " character
    gpl.c:8: error: syntax error at '@' token
    gpl.c:16:55: invalid digit "9" in octal constant
    gpl.c:27:11: missing terminating ' character
    gpl.c:27:11: warning: character constant too long for its type
    gpl.c:54:24: missing terminating ' character
    gpl.c:54:24: warning: character constant too long for its type
    gpl.c:59:8: missing terminating ' character
    gpl.c:59:8: warning: character constant too long for its type
    gpl.c:65:37: missing terminating ' character
    gpl.c:65:37: warning: character constant too long for its type
    gpl.c:75: error: stray '' in program
    gpl.c:75:55: missing terminating " character
    gpl.c:76: error: stray '' in program
    gpl.c:76:44: missing terminating " character
    gpl.c:81: error: stray '' in program
    gpl.c:81:11: missing terminating " character
    gpl.c:90:64: missing terminating ' character
    gpl.c:94: warning: data definition has no type or storage class
    gpl.c:95: error: syntax error before "give"
    gpl.c:136: error: syntax error before "intent"
    gpl.c:153: error: syntax error before ')' token
    gpl.c:160: error: syntax error before ')' token
    gpl.c:204:31: missing terminating ' character
    gpl.c:204:31: warning: character constant too long for its type
    gpl.c:229: error: syntax error before "is"
    gpl.c:254: error: stray '' in program
    gpl.c:254:69: missing terminating " character
    gpl.c:255: error: stray '' in program
    gpl.c:255:15: missing terminating " character
    gpl.c:274: error: stray '' in program
    gpl.c:274:22: missing terminating " character
    gpl.c:302: error: stray '' in program
    gpl.c:302:6: missing terminating " character
    gpl.c:304:34: missing terminating ' character
    gpl.c:304:34: warning: character constant too long for its type
    gpl.c:305:19: invalid suffix "yy" on integer constant
    gpl.c:319:51: invalid digit "9" in octal constant
    gpl.c:326:43: invalid suffix "yy" on integer constant
    gpl.c:327: error: stray '`' in program
    gpl.c:327:76: missing terminating ' character
    gpl.c:329: error: stray '`' in program
    gpl.c:329:43: missing terminating ' character
    gpl.c:329:43: warning: character constant too long for its type
    gpl.c:331: error: stray '`' in program
    gpl.c:331:34: warning: character constant too long for its type
    gpl.c:333: error: stray '`' in program
    gpl.c:333:39: warning: character constant too long for its type
    gpl.c:337: error: stray '' in program
    gpl.c:337:28: missing terminating " character
    gpl.c:341: error: stray '`' in program
    gpl.c:341:15: missing terminating ' character
    gpl.c:341:15: warning: character constant too long for its type
    gpl.c:351:1: missing terminating " character
    make: *** [cheops-ng] Error 1


    __________________
    Thanks in advance for helping

  2. #2
    Linux Engineer
    Join Date
    Nov 2002
    Location
    Queens, NY
    Posts
    1,319
    The only thing that I can recommend is that you check that you have the latest version of dependent libs and packages. This probably isn't the problem but I'm assuming that you ran ./configure?
    The best things in life are free.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •